import { ZodArray, ZodDefault, ZodEnum, ZodNumber, ZodOptional, ZodString, ZodTypeAny } from 'zod';
import { CommandArguments, CommandArgumentsArray, CommandArgumentsTuple } from './types.js';
export declare function isTupleArguments(schema: CommandArguments): schema is CommandArgumentsTuple;
export declare function isArrayArguments(schema: CommandArguments): schema is CommandArgumentsArray;
export declare function getArrayElement<T extends ZodArray<I> | ZodDefault<ZodArray<I>> | ZodOptional<ZodArray<I>>, I extends ZodString | ZodNumber | ZodEnum<[string, ...string[]]>>(schema: T): I;
export declare function unwrap<T extends ZodTypeAny>(schema: T | ZodOptional<T> | ZodDefault<T>): T;
export declare function getDefaultValue<T extends ZodTypeAny>(schema: T | ZodOptional<T> | ZodDefault<T>): unknown | undefined;
export declare function getDescription<T extends ZodTypeAny>(schema: T): string | undefined;
